Get Usage v2

The Get Usage API endpoint is used to get the number of requests per day between the start and end date.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The usage API endpoint is used to get the number of requests including both search and item requests were sent to the API endpoints.

Mandatory Parameters

Following are the mandatory parameters to be sent while calling the API

Header

  • Content-Type: application/json
  • x-api-key: API license key

Payload

  • startDate: The start date in YYYY-MM-DD format
  • endDate: The end date in YYYY-MM-DD format

Return Codes

This API uses the following error codes:

  • 400 Bad Request: The request was malformed or missing required parameters.
  • 401 Unauthorized: Either Access Key or Secret Key is invalid or missing.
  • 403 Forbidden: The API key provided was invalid or missing.
  • 404 Not Found: The requested resource was not found.
  • 429 Too Many Requests: Too many requests have been sent within time window or limit exceeded
  • 500 Internal Server Error: An unexpected error occurred on the server.

Sample Request Payload

{
  "startDate" : "2025-12-01",
  "endDate" : "2025-12-31"
}

Sample Response

{
  "usagePlan": {
    "id": "48f56e",
    "name": "Unlimited"
  },
  "dateRange": {
    "startDate": "2025-12-01",
    "endDate": "2025-12-31"
  },
  "dailyUsage": {
    "2025-12-01": 482,
    "2025-12-02": 475,
    "2025-12-03": 524,
    "2025-12-04": 493,
    "2025-12-05": 512,
    "2025-12-06": 484,
    "2025-12-07": 491,
    "2025-12-08": 499,
    "2025-12-09": 491,
    "2025-12-10": 537,
    "2025-12-11": 505,
    "2025-12-12": 484,
    "2025-12-13": 458,
    "2025-12-14": 453,
    "2025-12-15": 458,
    "2025-12-16": 492,
    "2025-12-17": 476,
    "2025-12-18": 466,
    "2025-12-19": 482,
    "2025-12-20": 514,
    "2025-12-21": 1351,
    "2025-12-22": 1100,
    "2025-12-23": 1242,
    "2025-12-24": 1250,
    "2025-12-25": 890,
    "2025-12-26": 1214,
    "2025-12-27": 1227,
    "2025-12-28": 1235,
    "2025-12-29": 1094,
    "2025-12-30": 879,
    "2025-12-31": 1229
  }
}
Body Params
date
required
Defaults to 2025-12-01

Start Date

date
required
Defaults to 2025-12-31

End Date

Headers
string
required
Defaults to abc123

API License Key

Responses
200

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json